Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sudokugamej2se11
Class EventHandler

    java.lang.Object
      sudokugamej2se11.EventHandler

All Implemented Interfaces:
  java.awt.event.KeyListener, java.util.EventListener

    public class EventHandler

extends java.lang.Object
implements java.awt.event.KeyListener

A Sudoku játék eseménykezelője.

Field Summary
`private static int` | `EXIT` A kilépés konstansa.
`private static int` | `HINT` A tanács konstansa.
`private int` | `level` Az aktuálisan beállított nehézségi szint
`private static int` | `NEW_GAME` Az új játék konstansa.
`private static int` | `PAUSE` A megállítás konstansa.
`private static int` | `START` A kezdés konstansa.
`private SudokuTable` | `table` Az új játék konstansa.
`private Viewer` | `viewer` A táblát Megjelenítő egyed

Constructor Summary
`private` | `EventHandler()` Egy cella objektumot létrehozó konstruktor

Method Summary
`private void` | `changeLevel(int level)` Módosítja a nehézségi szintet.
`private void` | `doTask(int task)` Elvégzi a paraméterben megadott feladatot.
`void` | `keyPressed(java.awt.event.KeyEvent e)` Végrehajtja a megadott eseménynek megfelelő tevékenységet.
`void` | `keyReleased(java.awt.event.KeyEvent e)` NEM IMPLEMENTÁLT
`void` | `keyTyped(java.awt.event.KeyEvent e)` NEM IMPLEMENTÁLT
`static void` | `main(java.lang.String[] args)` Az alkalmazás main metódusa
`private void` | `move(int direction)` A megadott irányba mozog a táblán.
`private void` | `placeNumber(int number)` Elhelyezi a megadott értéket az aktuális cellán.
`private void` | `startGame()` Elondítja a játékot.
`private void` | `stopGame()` Megállítja a játékot.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_GAME

    private static final int NEW_GAME

  Az új játék konstansa.

  See Also:
    Constant Field Values

### EXIT

    private static final int EXIT

  A kilépés konstansa.

  See Also:
    Constant Field Values

### PAUSE

    private static final int PAUSE

  A megállítás konstansa.

  See Also:
    Constant Field Values

### HINT

    private static final int HINT

  A tanács konstansa.

  See Also:
    Constant Field Values

### START

    private static final int START

  A kezdés konstansa.

  See Also:
    Constant Field Values

### table

    private SudokuTable table

  Az új játék konstansa.

### viewer

    private Viewer viewer

  A táblát Megjelenítő egyed

### level

    private int level

  Az aktuálisan beállított nehézségi szint

Constructor Detail

### EventHandler

    private EventHandler()

  Egy cella objektumot létrehozó konstruktor

Method Detail

### main

    public static void main(java.lang.String[] args)

  Az alkalmazás main metódusa

  Parameters:
    `args` - Parancssori argomentumok.

### startGame

    private void startGame()

  Elondítja a játékot.

### stopGame

    private void stopGame()

  Megállítja a játékot.

### move

    private void move(int direction)

  A megadott irányba mozog a táblán.

  Parameters:
    `direction` - Az irány.

### placeNumber

    private void placeNumber(int number)

  Elhelyezi a megadott értéket az aktuális cellán.

  Parameters:
    `number` -

### doTask

    private void doTask(int task)

  Elvégzi a paraméterben megadott feladatot.

  Parameters:
    `task` - A feladat.

### changeLevel

    private void changeLevel(int level)

  Módosítja a nehézségi szintet.

  Parameters:
    `level` - Az új szint.

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  NEM IMPLEMENTÁLT

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` -

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Végrehajtja a megadott eseménynek megfelelő tevékenységet.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - Az esemény

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  NEM IMPLEMENTÁLT

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD